Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ACE_Tokenizer::Preserve_Entry Class Reference

Preserve Entry. More...

`#include <SString.h>`

List of all members.

## Public Attributes
ACE_TCHAR | start_
ACE_TCHAR | stop_
int | strip_

## Detailed Description

Preserve Entry.

Defines a set of characters that designate an area that should not be parsed, but should be treated as a complete token. For instance, in: (this is a preserve region), start would be a left paren -(- and stop would be a right paren -)-. The strip determines whether the designators should be removed from the token.

## Member Data Documentation

ACE_TCHAR ACE_Tokenizer::Preserve_Entry::start_

| E.g., "(". E.g., ")". Whether the designators should be removed from the token.

ACE_TCHAR ACE_Tokenizer::Preserve_Entry::stop_

int ACE_Tokenizer::Preserve_Entry::strip_

The documentation for this class was generated from the following file:

- SString.h